package com.bankaudit.process.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_adhoc_document_hst")
public class AuditAdhocDocumentHst {
	/*Table: audit_adhoc_document_hst
	-----------------------------------

	Column Information
	----------------------

	Field              Type         Collation          Null    Key     Default            Extra           Privileges                       Comment  
	-----------------  -----------  -----------------  ------  ------  -----------------  --------------  -------------------------------  ---------
	id1                int(20)      (NULL)             NO      PRI     (NULL)             auto_increment  select,insert,update,references           
	id                 int(20)      (NULL)             NO              (NULL)                             select,insert,update,references           
	legal_entity_code  int(2)       (NULL)             NO              (NULL)                             select,insert,update,references           
	audit_type_code    varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	plan_id            varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	audit_id           varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	reported_by        varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	reference_path     text         latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	status             varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	entity_status      varchar(20)  latin1_swedish_ci  NO              (NULL)                             select,insert,update,references           
	maker_timestamp    timestamp */ 
	
	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id1")
	private Integer id1;
	
	@Column(name="id")
	private Integer id;
	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="plan_id")
	private String planId;
	
	@Column(name="audit_id")
	private String auditId;
	
	@Column(name="reported_by")
	private String reportedBy;
	
	@Column(name="reference_path")
	private String referencePath;
	
	@Column(name="status")
	private String status;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	/**
	 * @return the id1
	 */
	public Integer getId1() {
		return id1;
	}

	/**
	 * @param id1 the id1 to set
	 */
	public void setId1(Integer id1) {
		this.id1 = id1;
	}

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the planId
	 */
	public String getPlanId() {
		return planId;
	}

	/**
	 * @param planId the planId to set
	 */
	public void setPlanId(String planId) {
		this.planId = planId;
	}

	/**
	 * @return the auditId
	 */
	public String getAuditId() {
		return auditId;
	}

	/**
	 * @param auditId the auditId to set
	 */
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	/**
	 * @return the reportedBy
	 */
	public String getReportedBy() {
		return reportedBy;
	}

	/**
	 * @param reportedBy the reportedBy to set
	 */
	public void setReportedBy(String reportedBy) {
		this.reportedBy = reportedBy;
	}

	/**
	 * @return the referencePath
	 */
	public String getReferencePath() {
		return referencePath;
	}

	/**
	 * @param referencePath the referencePath to set
	 */
	public void setReferencePath(String referencePath) {
		this.referencePath = referencePath;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}
	
	
}
